#ifndef SYMBOL_H
#define SYMBOL_H

// Check the Symbol Table for a Duplicate Identifier
// Report an error if identifier is already in table
void CheckDup(char* Symbol);

// Look for Symbol in Table
int InTable(char* Symbol);

// Add a New Entry to Symbol Table
void AddEntry(char* Symbol, char type);

// Return the type of a symbol
char TypeOf(char* Symbol);

#endif
