#ifndef PARSER_H
#define PARSER_H


// Parse and Translate an Assignment Statement
void Assignment();

// Parse and Translate an Expression
void Expression();

// Parse and Translate a Factor
void Factor ();

// Parse and Translate a Term
void Term();

// Parse and Translate an Addition Operation
void Add();

 // Parse and Translate a Subtraction Operation
void Subtract();

// Parse and Translate an OR Operation
void Or();

// Parse and Translate an Exclusive OR Operation
void Xor();

// Parse and Translate an Multiplication Operation
void Multiply();

// Parse and Translate a Division Operation
void Divide();

// Parse and Translate an AND Operation
void And();

// Parse and Translate a Block of Statements
void Block();

// Parse and Translate Global Declarations
void TopDecls();

#endif
