package body Scanner is

	function Is_Ident_Char (ch : Character) return Boolean is
	begin
		if ch in 'a' .. 'z' or ch in 'A' .. 'Z' or ch in '0' .. '9' or ch = '_' then
			return True;
		else
			return False;
		end if; 
	end Is_Ident_Char;

	function Is_White (ch : Character) return Boolean is
	begin
		if ch = ' ' or ch = ASCII.HT then
			return True;
		else
			return False;
		end if;
	end;

	procedure Skip_White is
		ch : Character;
		EOL : Boolean;
	begin
		loop
			Look_Ahead (ch, EOL);
			if EOL then
				Put_Line ("Error: Premature end of line.");
				exit;
			else
				if Is_White(ch) then
					get(ch);
				else
					exit;
				end if;
			end if;
		end loop;
	end;

	function Get_Number return String is
		ch : Character;
		EOL : Boolean;
		Length : Positive := 1;
		Number : String (1..Identifier_Max_Len);
	begin
		Get(ch);
		Number(1) := ch;
		for i in 2..Number'Last loop
			Look_Ahead (ch, EOL);
			if EOL then
				Put_Line ("Error: Premature end of line.");
				exit;
			else
				if ch in '0' .. '9' then
					get(ch);
					Number(i) := ch;
					Length := i;
				else
					exit;
				end if;
			end if;
		end loop;
		return(Number(1..Length));
	end;

	function Get_Name return String is
		ch : Character;
		EOL : Boolean;
		Length : Positive := 1;
		Name : String (1..Identifier_Max_Len);
	begin
		Get(ch);
		Name(1) := ch;
		for i in 2..Name'Last loop
			Look_Ahead (ch, EOL);
			if EOL then
				Put_Line ("Error: Premature end of line.");
				exit;
			else
				if Is_Ident_Char (ch) then
					get(ch);
					Name(i) := ch;
					Length := i;
				else
					exit;
				end if;
			end if;
		end loop;
		return(Name(1..Length));
	end;

end Scanner;